Bug 1161037 - Offlineimap was auto-removed in latest dist-upgrade for Tumbleweed
Offlineimap was auto-removed in latest dist-upgrade for Tumbleweed
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
x86-64 openSUSE Factory
: P5 - None : Critical (vote)
: ---
Assigned To: Wnereiz Z
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-16 08:26 UTC by Wnereiz Z
Modified: 2020-01-24 02:48 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wnereiz Z 2020-01-16 08:26:03 UTC
Environment:
x86_64, snapshot20200114

Description:

1. dist-upgrade from previous snapshot and offlineimap was found removed.

2. After upgrade, "zypper search" can not find the package.

3. Offlineimap is in active development, the latest version should be 7.3.2.

4. Latest version of offlineimap require "rfc9555" as a dependency, which is not exist on obs. I will try it later if have time.

5. It looks like the package has been removed from obs completely, so I can not find bugowner.
Comment 1 Alynx Zhou 2020-01-17 02:19:28 UTC
Hi, it seems this package does not exist in Factory, is this an exception or intended? Please help, thanks!
Comment 2 Yifan Jiang 2020-01-17 02:29:20 UTC
Hi,

I think Dominique might be the best person to ask around.
Comment 4 Wnereiz Z 2020-01-22 23:44:21 UTC
Any results?

I have just submitted python-rfc6555 to devel project:
https://build.opensuse.org/package/show/devel:languages:python/python-rfc6555

With this python module, it is possible to package new version of offlineimap.
Comment 5 Dominique Leuenberger 2020-01-23 09:54:41 UTC
https://build.opensuse.org/request/show/761578

That package was indeed removed from Tumbleweed based on an active maintainers explicit request to do so.

If this package is supposed to come back, it needs to find an active maintainer and be using current python versions

Assigning to WNereiz - you seem to be actively interested and already be working on the depdendencies for newer versions.
Comment 6 Wnereiz Z 2020-01-23 22:17:35 UTC
(In reply to Dominique Leuenberger from comment #5)
> ...

I would like to take it, but firstly I need to confirm the status for py3 supporting. There are still some bugs with py3 so I'd confirm if they are critical ones https://github.com/OfflineIMAP/offlineimap/issues?q=is%3Aopen+is%3Aissue+label%3APy3
Comment 7 Wnereiz Z 2020-01-24 02:35:34 UTC
Unfortunately, It is unlikely the project will be migrated to python3 by upstream [1] in a short time. Now, I consider the offlineimap is dead because the support for python2 has already been terminated officially. So I will simply give up and switch to mbsync(isync), which is available in Tumbleweed. Bug closed.

[1] https://github.com/OfflineIMAP/offlineimap/issues/616
Comment 8 Wnereiz Z 2020-01-24 02:48:39 UTC
BTW, I have showed my concern to upstream about the security risk for staying in Python2. Seriously ...